Sujet unique Installation de macOS Monterey sur les Mac incompatibles

Nouvoul

Membre expert
Club MacG
4 Mars 2005
3 685
450
114
Selon mes anciennes expériences, je trouve bien plus pertinent de ne pas se casser le c** avec toutes ces tentatives, voire poste à souder et temps perdu pour pas grand chose: si le Mac n'est pas compatible, en changer, ça évitera pas mal de déconvenues, notamment récupération de ce qu'on n'aurait pas sauvegardé et compatibilité anciennes applis 32 bits et tout le bazar.
Prenez un Mac mini ou un iMac sur le refurb, sinon cherchez à mettre à jour votre vieil Amstrad CPC64 ou votre Commodore64, bien du plaisir :angelic: :merci:
 
  • Haha
Réactions: ericse

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Comme après chaque nouvelle annonce de version de MacOS , une nouvelle version d'OCLP est sortie , il s'agit de la version 0.4.5 qui comporte quelques corrections pour pouvoir mettre à jour MacOS en version 12.4 sans problème .

Voila les points principaux:
  • Non-Metal fixes:
    • Double menubar clock
    • Non-functional dismiss buttons
    • VNC support on TeraScale 2 GPUs
    • and other cosmetic fixes
  • 12.4 Installers not listing by default when downloading
  • More robust root volume patcher
  • Resolve Bluetooth support for BT2.1 controllers in 12.4

La description complète se trouve ici (cliquez sur 0.4.5 Changelog).
 

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Pour ceux qui ont des iMac 27" mi 2011, il en reste quelques uns ;)


Mise à jour de Monterey 12.3.1 en 12.4 sans problème avec OCLP 0.4.4 :up:

Capture d’écran 2022-05-17 à 10.16.47.png
 
  • J’aime
Réactions: Miou09

Cecebzh

Membre enregistré
15 Avril 2022
7
3
Bretagne 22
On verra bien tu nous dira, moi aussi je me suis trompé, j’ai pris une BCM94360CS, mais elle ne fait que wifi et elle a 2 prises.

Du coup j’aurais AirPlay (j’espère) mais je devrais sûrement patcher pour avoir le BT fonctionnel

En fait ça paraît logique les carte qui font BT+Wifi on 3 antennes car ça remplace l’antenne du BT qui est sur une carte à part dans nos mac.
Je reviens après quelques semaines d’attente. Donc du coup j ai bien reçu ma carte , mon adaptateur et mes câbles et après installation me voici avec AirDrop fonctionnel, le wifi et le Bluetooth fonctionne nikel. Je me suis juste planté sur l’adaptateur qui n’est pas assez long pour vissé la carte dessus mais un peut de bibouille et la carte reste en place.
J espere que ça aidera certaines personnes.
 

Fichiers joints

  • F3BA6F36-C677-4262-9CB5-FA3EFCC167BE.jpeg
    F3BA6F36-C677-4262-9CB5-FA3EFCC167BE.jpeg
    145,5 KB · Affichages: 22
  • 02B873E9-BB3B-4AFC-A674-E0F52FDF7A6F.jpeg
    02B873E9-BB3B-4AFC-A674-E0F52FDF7A6F.jpeg
    140 KB · Affichages: 17
  • 5D97988E-D070-4559-9B93-20F11393BA24.jpeg
    5D97988E-D070-4559-9B93-20F11393BA24.jpeg
    142,2 KB · Affichages: 22
  • J’aime
Réactions: sergiodadi

Miou09

Membre confirmé
1 Mars 2021
23
6
35
Je reviens après quelques semaines d’attente. Donc du coup j ai bien reçu ma carte , mon adaptateur et mes câbles et après installation me voici avec AirDrop fonctionnel, le wifi et le Bluetooth fonctionne nikel. Je me suis juste planté sur l’adaptateur qui n’est pas assez long pour vissé la carte dessus mais un peut de bibouille et la carte reste en place.
J espere que ça aidera certaines personnes.
Merci pour le retour
 

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Bonjour,

si vous avez un Mac Pro 5.1, les développeurs d'OCLP déconseillent d'upgrader vers Monterey 12.4.

Il semble que dans certaines configurations il y a la possibilité de corruption de disque suite à un problème "I should have also pointed out that until this is resolved, folks with MP5,1 and earlier should avoid upgrading to 12.4; there may be a risk of disk corruption."

Les symptômes déjà décrits peuvent être des Kernel Panic, écran noir ,etc... la cause serait l'utilisation du jeu d'instructions AVX ( Advanced Vector Extensions) qui n'existe pas sur des "vieux" processeurs , lors de l'exécution de AppleFSCompressionTypeZlib.

EDIT : un patch (en version alpha) est déjà disponible :)
 
Dernière édition:

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Bonjour,

le co-fondateur de Dortania (OpenCore) et principal développeur d'OCLP , Mykola Grymalyuk (connu aussi avec le pseudo khronokernel) est présent au WWDC22

IMG_4782.png


ps: c'est lui qui a posté cette photo publiquement
 

Anthony

Chasseur de spam
MacGeneration
Administrateur
Club iGen
28 Octobre 2005
4 150
1 713
metrozendodo.fr
Tiens j’en profite : est-ce que je renomme ce sujet « Installation de macOS sur les Mac incompatibles », pour couvrir le successeur de macOS Monterey qui sera présenté ce soir et tout concentrer dans un seul sujet, ou vous préférez continuer version par version ?
 

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Tiens j’en profite : est-ce que je renomme ce sujet « Installation de macOS sur les Mac incompatibles », pour couvrir le successeur de macOS Monterey qui sera présenté ce soir et tout concentrer dans un seul sujet, ou vous préférez continuer version par version ?

Personnellement, je préfère des sujets séparés , il y a déjà un sujet (unique) pour Big Sur et un sujet (unique) pour Monterey et il y a pas mal de différences dans les configurations OpenCore ou OCLP pour chaque macOS .
 

Anthony

Chasseur de spam
MacGeneration
Administrateur
Club iGen
28 Octobre 2005
4 150
1 713
metrozendodo.fr
Personnellement, je préfère des sujets séparés , il y a déjà un sujet (unique) pour Big Sur et un sujet (unique) pour Monterey et il y a pas mal de différences dans les configurations OpenCore ou OCLP pour chaque macOS .
OK, ça me va ! Faites-moi signe quand le sujet pour le successeur de macOS Monterey sera dispo, que je puisse le promouvoir en sujet unique.
 
  • J’aime
Réactions: sergiodadi

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Bonjour,

une nouvelle version d'OCLP vient de sortir, c'est la version 0.4.6 . elle corrige quelques bugs concernant Monterey. Elle n'a aucun support pour Ventura.

Les principaux bugs corrigés sont:
  • Resolve Bluetooth 2.1 support in macOS 12.4
  • Greatly speed up GUI load times
  • Resolve Zlib kernel panics on 12.4 with pre-Sandy Bridge CPUs
  • Early support for Nvidia Web Drivers in non-Metal mode
Elle sera la dernière version en mode TUI.

Les développeurs peuvent toujours compiler la version TUI à partir des sources, les utilisateurs "standards" sont invités à passer à la version GUI (version graphique).

La description complète des changements (les release notes) est ici
 
  • J’aime
Réactions: maxou56

sergiodadi

Membre actif
Club MacG
15 Janvier 2011
590
207
Nice
blog.nojo.fr
Bonjour,

une nouvelle version d'OCLP vient de sortir, c'est la version 0.4.6 . elle corrige quelques bugs concernant Monterey. Elle n'a aucun support pour Ventura.

Une nouvelle version d'OCLP v 0.4.7 vient de sortir pour simple correction d'un bug gênant ;)

0.4.7

  • Fix crashing on defaults parsing